apiVersion: apps/v1
kind: Deployment
metadata:
  name: order-api-postgres
  namespace: order-api
spec:
  replicas: 1
  selector:
    matchLabels:
      app: order-api-postgres
  strategy: {}
  template:
    metadata:
      labels:
        app: order-api-postgres
    spec:
      containers:
        - env:
            - name: POSTGRES_DB
              valueFrom:
                configMapKeyRef:
                  key: POSTGRES_DB
                  name: order-api-postgres-configmap
            - name: POSTGRES_PASSWORD
              valueFrom:
                secretKeyRef:
                  key: POSTGRES_PASSWORD
                  name: order-api-postgres-secret
            - name: POSTGRES_USER
              valueFrom:
                secretKeyRef:
                  key: POSTGRES_USER
                  name: order-api-postgres-secret
          image: postgres
          name: order-api-postgres
          ports:
            - containerPort: 5432
          volumeMounts:
            - mountPath: /var/lib/postgresql/data
              name: postgres-storage
      volumes:
        - name: postgres-storage
          persistentVolumeClaim:
            claimName: order-api-postgres-pvc
      restartPolicy: Always